import time

from cloudcontrol.common.jobs import Job


class KillClientJob(Job):

    """ A job used to kill connected accounts.

    Mandatory items:
     * account: the account login to kill

    Optional items:
     * gracetime: time before to kill the user
    """

    def job(self, server, account, gracetime=None):
        if gracetime is not None:
            time.sleep(int(gracetime))

        self.checkpoint()

        server.kill(account)